import request from '@/utils/request'

/**
 * 楼层管理列表
 */
export function getFloorList(query) {
  return request({
    url: '/home/page/floor/list',
    method: 'get',
    params: query
  })
}
/**
 * 楼层停启用
 */
export function getFloorStatus(id) {
  return request({
    url: '/home/page/check/floor/status/' + id,
    method: 'get'
  })
}
/**
 * 楼层排序
 */
export function getFloorSort(id, sort) {
  return request({
    url: `/home/page/floor/${id}/${sort}`,
    method: 'get'
  })
}
/**
 * 楼层保存
 */
export function savePageFloor(params) {
  return request({
    url: '/home/page/save/floor',
    method: 'post',
    data: params
  })
}
/**
 * 楼层删除
 */
export function delPageFloor(id) {
  return request({
    url: '/home/page/del/floor/' + id,
    method: 'get'
  })
}
/**
 * 楼层详情
 */
export function formPageFloor(id) {
  return request({
    url: '/home/page/floor/form/' + id,
    method: 'get'
  })
}

